# BouncyCastleRandom.Factory (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.transport.random
Class BouncyCastleRandom.Factory

    java.lang.Object
      net.schmizz.sshj.transport.random.BouncyCastleRandom.Factory

All Implemented Interfaces:
  Factory<Random>

Enclosing class:
  BouncyCastleRandom

    public static class BouncyCastleRandom.Factory

extends Object
implements Factory<Random>

Named factory for the BouncyCastle `Random`

Nested Class Summary

Nested classes/interfaces inherited from interface net.schmizz.sshj.common.Factory
`Factory.Named<T>`

Constructor Summary
`BouncyCastleRandom.Factory()`

Method Summary
`Random` `create()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BouncyCastleRandom.Factory

    public BouncyCastleRandom.Factory()

Method Detail

### create

    public Random create()

  Specified by:
    `create` in interface `Factory<Random>`
  Returns:
    a new object created using this factory.

Copyright © 2009-2012. All Rights Reserved.